libpst.so.4: pst_item_message_store Struct Reference

libpst.so.4

Data Fields
pst_item_message_store Struct Reference

This contains the message store related mapi elements. More...

`#include <libpst/libpst.h>`

Collaboration diagram for pst_item_message_store:
[legend]

## Data Fields
pst_entryid * | top_of_personal_folder
| mapi element 0x35e0 More...
pst_entryid * | default_outbox_folder
| mapi element 0x35e2 More...
pst_entryid * | deleted_items_folder
| mapi element 0x35e3 More...
pst_entryid * | sent_items_folder
| mapi element 0x35e4 More...
pst_entryid * | user_views_folder
| mapi element 0x35e5 More...
pst_entryid * | common_view_folder
| mapi element 0x35e6 More...
pst_entryid * | search_root_folder
| mapi element 0x35e7 More...
pst_entryid * | top_of_folder
| mapi element 0x7c07 More...
int32_t | valid_mask
| mapi element 0x35df, bit mask of folders in this message store More...
int32_t | pwd_chksum
| mapi element 0x76ff More...

## Detailed Description

This contains the message store related mapi elements.

Definition at line 362 of file libpst.h.

## Field Documentation

## ◆ common_view_folder

pst_entryid* pst_item_message_store::common_view_folder

mapi element 0x35e6

Definition at line 374 of file libpst.h.

## ◆ default_outbox_folder

pst_entryid* pst_item_message_store::default_outbox_folder

mapi element 0x35e2

Definition at line 366 of file libpst.h.

## ◆ deleted_items_folder

pst_entryid* pst_item_message_store::deleted_items_folder

mapi element 0x35e3

Definition at line 368 of file libpst.h.

## ◆ pwd_chksum

int32_t pst_item_message_store::pwd_chksum

mapi element 0x76ff

Definition at line 391 of file libpst.h.

## ◆ search_root_folder

pst_entryid* pst_item_message_store::search_root_folder

mapi element 0x35e7

Definition at line 376 of file libpst.h.

## ◆ sent_items_folder

pst_entryid* pst_item_message_store::sent_items_folder

mapi element 0x35e4

Definition at line 370 of file libpst.h.

## ◆ top_of_folder

pst_entryid* pst_item_message_store::top_of_folder

mapi element 0x7c07

Definition at line 378 of file libpst.h.

## ◆ top_of_personal_folder

pst_entryid* pst_item_message_store::top_of_personal_folder

mapi element 0x35e0

Definition at line 364 of file libpst.h.

## ◆ user_views_folder

pst_entryid* pst_item_message_store::user_views_folder

mapi element 0x35e5

Definition at line 372 of file libpst.h.

## ◆ valid_mask

int32_t pst_item_message_store::valid_mask

mapi element 0x35df, bit mask of folders in this message store

- 0x1 FOLDER_IPM_SUBTREE_VALID
- 0x2 FOLDER_IPM_INBOX_VALID
- 0x4 FOLDER_IPM_OUTBOX_VALID
- 0x8 FOLDER_IPM_WASTEBOX_VALID
- 0x10 FOLDER_IPM_SENTMAIL_VALID
- 0x20 FOLDER_VIEWS_VALID
- 0x40 FOLDER_COMMON_VIEWS_VALID
- 0x80 FOLDER_FINDER_VALID

Definition at line 389 of file libpst.h.

The documentation for this struct was generated from the following file:

- libpst/libpst.h